Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029671
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2015-04-22 15:122016-12-16 18:37
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision543c8285c581
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029671: Not possible to Copy Lines from a Purchase Invoice if the role does not have access to Currency window

DescriptionNot possible to Copy Lines from a Purchase Invoice if the role does not have access to Currency window
Steps To ReproduceAs group admin role:
   Remove the record of Currency window for F&B International Group Admin role
   Log out and log in again
   Create and complete a Purchase Invoice
   Create a new Purchase Invoice, click on Copy Lines and select the previously created invoice
   The following error message is shown:
Entity Currency is not directly readable, only id and identifier properties are readable, property Currency.pricePrecision is neither of these.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079108)
AtulOpenbravo (developer)
2015-07-28 16:33
edited on: 2016-03-04 14:25

Test Plan
- Login as group admin role
- Navigate to Role window and select Group Admin role record.
- Remove the record of Currency from window access tab.
- Log out and log in again.
- Create a Purchase Invoice with one or more lines and complete. Post it.
- Create a new Purchase Invoice, click on Copy Lines and select the previously created invoice and click OK.
- Check that process is successfully executed and lines are created.
- Complete and Post the invoice.

(0084726)
psanjuan (manager)
2016-03-04 12:20

Issue verified
(0084742)
psanjuan (manager)
2016-03-04 14:26

Test Plan above verified.

Issue can be code reviewed and closed.
(0090624)
hgbot (developer)
2016-10-17 12:10

Repository: erp/devel/pi
Changeset: 543c8285c58105e8fe6110c011823d5ce45400c5
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 28 19:29:28 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/543c8285c58105e8fe6110c011823d5ce45400c5 [^]

Fixes issue 29671: Error in Copy Lines if no access to Currency window

Implemented a change in context mode to admin in CopyFromInvoice process.

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
---
(0090628)
aferraz (developer)
2016-10-17 12:11

Code review + Testing OK
(0092517)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-22 15:12 ngarcia New Issue
2015-04-22 15:12 ngarcia Assigned To => Triage Finance
2015-04-22 15:12 ngarcia Modules => Core
2015-04-22 15:12 ngarcia Triggers an Emergency Pack => No
2015-04-22 15:13 ngarcia Issue Monitored: networkb
2015-07-28 16:30 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-07-28 16:30 AtulOpenbravo Status new => scheduled
2015-07-28 16:33 AtulOpenbravo Note Added: 0079108
2016-03-04 12:20 psanjuan Note Added: 0084726
2016-03-04 14:25 psanjuan Note Edited: 0079108 View Revisions
2016-03-04 14:26 psanjuan Note Added: 0084742
2016-10-17 12:10 hgbot Checkin
2016-10-17 12:10 hgbot Note Added: 0090624
2016-10-17 12:10 hgbot Status scheduled => resolved
2016-10-17 12:10 hgbot Resolution open => fixed
2016-10-17 12:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/543c8285c58105e8fe6110c011823d5ce45400c5 [^]
2016-10-17 12:11 aferraz Review Assigned To => aferraz
2016-10-17 12:11 aferraz Note Added: 0090628
2016-10-17 12:11 aferraz Status resolved => closed
2016-10-17 12:11 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092517


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker